Show / Hide Table of Contents

# Struct ShaderPackage

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Kernel

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ShaderPackage

### Fields

| Improve this Doc View Source

#### ConstantCount

##### Declaration

    public ushort ConstantCount

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Constants

##### Declaration

    public ShaderPackage.ConstantSamplerUnknown*Constants

##### Field Value

Type | Description
--- | ---
ShaderPackage.ConstantSamplerUnknown* |

| Improve this Doc View Source

#### MaterialConstantBufferSize

##### Declaration

    public ushort MaterialConstantBufferSize

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### MaterialElementCount

##### Declaration

    public ushort MaterialElementCount

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### MaterialElements

##### Declaration

    public ShaderPackage.MaterialElement*MaterialElements

##### Field Value

Type | Description
--- | ---
ShaderPackage.MaterialElement* |

| Improve this Doc View Source

#### MaterialKeyCount

##### Declaration

    public ushort MaterialKeyCount

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### MaterialKeys

##### Declaration

    public uint *MaterialKeys

##### Field Value

Type | Description
--- | ---
System.UInt32* |

| Improve this Doc View Source

#### MaterialValues

##### Declaration

    public uint *MaterialValues

##### Field Value

Type | Description
--- | ---
System.UInt32* |

| Improve this Doc View Source

#### PixelShaders

##### Declaration

    public CVector<Pointer<PixelShader>> PixelShaders

##### Field Value

Type | Description
--- | ---
CVector<Pointer<PixelShader>> |

| Improve this Doc View Source

#### ReferencedClassBase

##### Declaration

    public ReferencedClassBase ReferencedClassBase

##### Field Value

Type | Description
--- | ---
ReferencedClassBase |

| Improve this Doc View Source

#### SamplerCount

##### Declaration

    public ushort SamplerCount

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Samplers

##### Declaration

    public ShaderPackage.ConstantSamplerUnknown*Samplers

##### Field Value

Type | Description
--- | ---
ShaderPackage.ConstantSamplerUnknown* |

| Improve this Doc View Source

#### SceneKeyCount

##### Declaration

    public ushort SceneKeyCount

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SceneKeys

##### Declaration

    public uint *SceneKeys

##### Field Value

Type | Description
--- | ---
System.UInt32* |

| Improve this Doc View Source

#### SceneValues

##### Declaration

    public uint *SceneValues

##### Field Value

Type | Description
--- | ---
System.UInt32* |

| Improve this Doc View Source

#### ShaderNodes

##### Declaration

    public CVector<Pointer<ShaderNode>> ShaderNodes

##### Field Value

Type | Description
--- | ---
CVector<Pointer<ShaderNode>> |

| Improve this Doc View Source

#### ShaderNodeTreeVtbl

##### Declaration

    public void *ShaderNodeTreeVtbl

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### SubviewValue1

##### Declaration

    public uint SubviewValue1

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SubviewValue2

##### Declaration

    public uint SubviewValue2

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SystemKeyCount

##### Declaration

    public ushort SystemKeyCount

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### SystemKeys

##### Declaration

    public uint *SystemKeys

##### Field Value

Type | Description
--- | ---
System.UInt32* |

| Improve this Doc View Source

#### SystemValues

##### Declaration

    public uint *SystemValues

##### Field Value

Type | Description
--- | ---
System.UInt32* |

| Improve this Doc View Source

#### UnkCount

##### Declaration

    public ushort UnkCount

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Unknowns

##### Declaration

    public ShaderPackage.ConstantSamplerUnknown*Unknowns

##### Field Value

Type | Description
--- | ---
ShaderPackage.ConstantSamplerUnknown* |

| Improve this Doc View Source

#### VertexShaders

##### Declaration

    public CVector<Pointer<VertexShader>> VertexShaders

##### Field Value

Type | Description
--- | ---
CVector<Pointer<VertexShader>> |